---
title: "Clone an existing campaign"
slug: "clone-an-existing-campaign"
abstract: "Describes the request and response details of this Sitecore Send API endpoint to clone a campaign."
---
# Clone an existing campaign

`POST /campaigns/{CampaignID}/clone.{Format}`

Clones or creates an exact copy of an existing campaign in your Sitecore Send account. The cloned campaign is created with a *Draft* status.

## Request

| Parameter | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| CampaignID | path | string | true | The ID of the campaign that you want to clone. |
| Format | path | string | true | The supported file format for getting a response.Possible values: jsonand xml. |
| apikey | query | string | true | The API key of your account. |

```http
POST https://{hostname}/v3/campaigns/{CampaignID}/clone.{Format}?apikey=
```

```curl
curl --include \\
     --request POST \\
     --header "Content-Type: application/json" \\
     --header "Accept: application/json" \\
'https://{hostname}/v3/campaigns/{CampaignID}/clone.{Format}?apikey='
```

## Response

| Status | Description | Headers | Schema |
| --- | --- | --- | --- |
| 200 OK | The request is successful. | Content-Type:application/jsonAccept:application/json | N/A |

```json
{
  "Code": 0,
  "Error": null,
  "Context": {
    "ID": "248f97f5-1e5f-4e17-8fa8-818dc112be10",
    "Name": "Test",
    "Subject": "Test",
    "WebLocation": "http://www.your-domain.com/newsletter",
    "HTMLContent": "Some html content",
    "PlainContent": "Plain context ... ",
    "Sender": {
      "ID": "e9d2ed56-fc20-4337-bb6a-8b5884e8dfa6",
      "Name": "Test",
      "Email": "test@email.com",
      "CreatedOn": "/Date(1457526079160+0100)/",
      "IsEnabled": true,
      "SpfVerified": false,
      "DkimVerified": true,
      "DkimPublic": "sender email dkim public"
    },
    "DeliveredOn": null,
    "ReplyToEmail": {
      "ID": "21234a-cede-1234-1234-1bd8d7a46d2d",
      "Name": "Andreas",
      "Email": "andreas@email.com",
      "CreatedOn": "/Date(1457526079160+0100)/",
      "IsEnabled": true,
      "SpfVerified": false,
      "DkimVerified": true,
      "DkimPublic": "reply to email dkim public"
    },
    "CreatedOn": "/Date(1469541491211)/",
    "UpdatedOn": "/Date(1469541491211)/",
    "ScheduledFor": null,
    "Timezone": "Korea Standard Time",
    "FormatType": 0,
    "ABCampaignData": {
      "ID": 4080,
      "SubjectB": "B Subject",
      "PlainContentB": null,
      "HTMLContentB": null,
      "WebLocationB": null,
      "SenderB": null,
      "HoursToTest": 3,
      "ListPercentage": 19,
      "ABCampaignType": 2,
      "ABWinnerSelectionType": 1,
      "DeliveredOnA": null,
      "DeliveredOnB": null
    },
    "MailingLists": \[
      {
        "MailingListID": "e9d2ed56-fc20-4337-bb6a-8b5884e8dfa6",
        "SegmentID": 0
      }
    \],
    "ConfirmationTo": "test@email.com",
    "Status": 0,
    "IsTransactional": false
  }
}
```

-   `Code` - the response code. This is `0` if successful.
    
-   `Error` - the response error message. This is `null` if successful.
    
-   `Context` - an object that contains all the following information for the cloned campaign:
    
-   `ID` - the ID of the cloned campaign.
    
-   `Name` - the name of the campaign.
    
-   `Subject`\- the subject of the campaign.
    
-   `WebLocation` - the web location of the HTML campaign.
    
-   `HTMLContent` - the HTML content of the campaign.
    
-   `PlainContent` - the content of the campaign in plain text.
    
-   `Sender` - a list that contains the following information about the campaign sender:
    
    -   `ID` - the ID of the sender.
        
    -   `Name` - the name of the sender.
        
    -   `Email` - the email address of the sender.
        
    -   `CreatedOn` - the date that the sender was created.
        
    -   `IsEnabled` - this is `true` if the sender is enabled and `false` if it is not.
        
    -   `SpfVerified` - this is `true` if the SPF record for the sender is enabled and `false` if it is not.
        
    -   `DkimVerified` - this is `true` if the DKIM record for the sender is enabled and `false` if it is not.
        
    -   `DkimPublic` - specifies the sender's email public DKIM.

-   `DeliveredOn` - the date-time the campaign was delivered. This is `null` for a cloned campaign.
    
-   `ReplyToEmail` - an object that contains details about the *Reply to* email address selected to receive replies from the campaign:
    
    -   `ID` - the ID of the *Reply to* email receiver.
        
    -   `Name` - the name of the *Reply to* email receiver.
        
    -   `Email` - the email address of the *Reply to* email receiver.
        
    -   `CreatedOn` - the date that the *Reply to* email receiver was created.
        
    -   `IsEnabled` - this is `true` if the *Reply to* email receiver is enabled and `false` if it is not.
        
    -   `SpfVerified` - this is `true` if the SPF record for the *Reply to* email receiver is enabled and `false` if it is not.
        
    -   `DkimVerified` - this is `true` if the DKIM record for the *Reply to* email receiver is enabled and `false` if it is not.
        
    -   `DkimPublic` - specifies the *Reply to* email receiver's email public DKIM.

-   `CreatedOn` - the date-time the campaign was created.
    
-   `UpdatedOn` - the date-time that the campaign was updated.
    
-   `ScheduledFor` - the date-time the campaign is scheduled to be delivered. This is `null` for a cloned campaign.
    
-   `TimeZone` - the selected time zone for the account.
    
-   `FormatType` - the format type of the campaign. This is `0` for HTML, `1` for Template, and `2` for Plain Text.
    
-   `ABCampaignData` : This is `null` if the cloned campaign is a regular campaign. If the cloned campaign is an A/B split campaign, the object contains the following information:
    
    -   `ID` - the four-digit integer ID of the ABCampaignData.
        
    -   `SubjectB` - if the A/B split campaign is testing the subject, this is the subject line for campaign B.
        
    -   `PlainContentB` - if the A/B split campaign is testing the content, this is the plain text content for campaign B.
        
    -   `HTMLContentB` - if the A/B split campaign is testing the content, this is the HTML content for campaign B.
        
    -   `WebLocationB` - if the A/B split campaign is testing the content, this is the web location for campaign B.
        
    -   `SenderB` - if the A/B split campaign is testing the sender, this is campaign B's sender.
        
    -   `HoursToTest` - the total number of hours to test campaigns A and B of your split test before sending the winning version.
        
    -   `ListPercentage` - specifies the size of your test group in your list.
        
    -   `ABCampaignType` - specifies the type of A/B split campaign. This is `0` for sender, `1` for content, and `2` for subject line
        
    -   `ABWinnerSelectionType` - specifies the type of test that defines the winning version of the campaign. This is `0` for a unique opens test and `1` for a unique clicks test.
        
    -   `DeliveredOnA` - the date-time campaign A was delivered. This is `null` for a cloned campaign.
        
    -   `DeliveredOnB` - the date-time campaign B was delivered. This is `null` for a cloned campaign.

-   `MailingLists` - a list that contains the email lists or segments that that campaign is sent to.
    
    -   `MailingListID` - the ID of the email list.
        
    -   `SegmentID` - the ID of the selected segment. This is `0` if there is no segment selected.

-   `ConfirmationTo` - the email address to which a confirmation message is sent when the campaign has been successfully sent.
    
-   `Status` - status of the campaign. The cloned campaign has `0` for status.
    
-   `IsTransactional` - specifies whether the campaign was created using SMTP. This can be `true` or `false`.